from setuptools import setup
import sys
import os

install_requires = [
    # core dependencies
    'setuptools',
]

# Try to locate FreeRadius installation
dest_path = os.environ.get("FREERADIUS_PATH", "/etc/freeradius")
if not dest_path:
    print('ERROR. The FREERADIUS_PATH must be set indicating the location of the FREERADIUS configuration folder')
    sys.exit(1)

setup(name='moonshot_totp',
      version='0.2',
      description='Moonshot TOTP module for FreeRADIUS',
      author='Alejandro Perez',
      author_email='alex.perez-mendez@jisc.ac.uk',
      packages=['moonshot_totp'],
      package_data={"": ["moonshot_totp"]},
      package_dir={'moonshot_totp': '.'},
      install_requires=install_requires,
      data_files=[('{0}/mods-available/'.format(dest_path), ['moonshot_totp'])])

